Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Interface ClientAnchor

All Known Implementing Classes:
  HSSFClientAnchor

    public interface ClientAnchor

A client anchor is attached to an excel worksheet. It anchors against a top-left and bottom-right cell.

Author:
  Yegor Kozlov

Field Summary
`static int` | `DONT_MOVE_AND_RESIZE` Do Not Move or Resize With Underlying Rows/Columns
`static int` | `MOVE_AND_RESIZE` Move and Resize With Anchor Cells
`static int` | `MOVE_DONT_RESIZE` Move With Cells but Do Not Resize

Method Summary
`int` | `getAnchorType()` Gets the anchor type
`short` | `getCol1()` Returns the column (0 based) of the first cell.
`short` | `getCol2()` Returns the column (0 based) of the second cell.
`int` | `getDx1()` Returns the x coordinate within the first cell.
`int` | `getDx2()` Returns the x coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`
`int` | `getDy1()` Returns the y coordinate within the first cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`
`int` | `getDy2()` Sets the y coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`
`int` | `getRow1()` Returns the row (0 based) of the first cell.
`int` | `getRow2()` Returns the row (0 based) of the second cell.
`void` | `setAnchorType(int anchorType)` Sets the anchor type
`void` | `setCol1(int col1)` Sets the column (0 based) of the first cell.
`void` | `setCol2(int col2)` Returns the column (0 based) of the second cell.
`void` | `setDx1(int dx1)` Sets the x coordinate within the first cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`
`void` | `setDx2(int dx2)` Sets the x coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`
`void` | `setDy1(int dy1)` Sets the y coordinate within the first cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`
`void` | `setDy2(int dy2)` Sets the y coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`
`void` | `setRow1(int row1)` Returns the row (0 based) of the first cell.
`void` | `setRow2(int row2)` Returns the row (0 based) of the first cell.

Field Detail

### MOVE_AND_RESIZE

    static final int MOVE_AND_RESIZE

  Move and Resize With Anchor Cells

  Specifies that the current drawing shall move and resize to maintain its row and column anchors (i.e. the object is anchored to the actual from and to row and column)

  See Also:
    Constant Field Values

### MOVE_DONT_RESIZE

    static final int MOVE_DONT_RESIZE

  Move With Cells but Do Not Resize

  Specifies that the current drawing shall move with its row and column (i.e. the object is anchored to the actual from row and column), but that the size shall remain absolute.

  If additional rows/columns are added between the from and to locations of the drawing, the drawing shall move its to anchors as needed to maintain this same absolute size.

  See Also:
    Constant Field Values

### DONT_MOVE_AND_RESIZE

    static final int DONT_MOVE_AND_RESIZE

  Do Not Move or Resize With Underlying Rows/Columns

  Specifies that the current start and end positions shall be maintained with respect to the distances from the absolute start point of the worksheet.

  If additional rows/columns are added before the drawing, the drawing shall move its anchors as needed to maintain this same absolute position.

  See Also:
    Constant Field Values

Method Detail

### getCol1

    short getCol1()

  Returns the column (0 based) of the first cell.

  Returns:
    0-based column of the first cell.

### setCol1

    void setCol1(int col1)

  Sets the column (0 based) of the first cell.

  Parameters:
    `col1` - 0-based column of the first cell.

### getCol2

    short getCol2()

  Returns the column (0 based) of the second cell.

  Returns:
    0-based column of the second cell.

### setCol2

    void setCol2(int col2)

  Returns the column (0 based) of the second cell.

  Parameters:
    `col2` - 0-based column of the second cell.

### getRow1

    int getRow1()

  Returns the row (0 based) of the first cell.

  Returns:
    0-based row of the first cell.

### setRow1

    void setRow1(int row1)

  Returns the row (0 based) of the first cell.

  Parameters:
    `row1` - 0-based row of the first cell.

### getRow2

    int getRow2()

  Returns the row (0 based) of the second cell.

  Returns:
    0-based row of the second cell.

### setRow2

    void setRow2(int row2)

  Returns the row (0 based) of the first cell.

  Parameters:
    `row2` - 0-based row of the first cell.

### getDx1

    int getDx1()

  Returns the x coordinate within the first cell. Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Returns:
    the x coordinate within the first cell

### setDx1

    void setDx1(int dx1)

  Sets the x coordinate within the first cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Parameters:
    `dx1` - the x coordinate within the first cell

### getDy1

    int getDy1()

  Returns the y coordinate within the first cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Returns:
    the y coordinate within the first cell

### setDy1

    void setDy1(int dy1)

  Sets the y coordinate within the first cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Parameters:
    `dy1` - the y coordinate within the first cell

### getDy2

    int getDy2()

  Sets the y coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Returns:
    the y coordinate within the second cell

### setDy2

    void setDy2(int dy2)

  Sets the y coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Parameters:
    `dy2` - the y coordinate within the second cell

### getDx2

    int getDx2()

  Returns the x coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Returns:
    the x coordinate within the second cell

### setDx2

    void setDx2(int dx2)

  Sets the x coordinate within the second cell Note - XSSF and HSSF have a slightly different coordinate system, values in XSSF are larger by a factor of `org.apache.poi.xssf.usermodel.XSSFShape#EMU_PER_PIXEL`

  Parameters:
    `dx2` - the x coordinate within the second cell

### setAnchorType

    void setAnchorType(int anchorType)

  Sets the anchor type

  0 = Move and size with Cells, 2 = Move but don't size with cells, 3 = Don't move or size with cells.

  Parameters:
    `anchorType` - the anchor type
  See Also:
    `MOVE_AND_RESIZE`, `MOVE_DONT_RESIZE`, `DONT_MOVE_AND_RESIZE`

### getAnchorType

    int getAnchorType()

  Gets the anchor type

  0 = Move and size with Cells, 2 = Move but don't size with cells, 3 = Don't move or size with cells.

  Returns:
    the anchor type
  See Also:
    `MOVE_AND_RESIZE`, `MOVE_DONT_RESIZE`, `DONT_MOVE_AND_RESIZE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD